Bug 22203 - Holds modal no longer links to patron
Summary: Holds modal no longer links to patron
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 18789
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-24 16:48 UTC by Nick Clemens
Modified: 2019-03-19 17:08 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22203: Holds modal does not link to patorn account (1.82 KB, patch)
2019-01-24 16:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22203: Holds modal does not link to patorn account (1.88 KB, patch)
2019-01-25 19:11 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22203: Holds modal does not link to patorn account (1.95 KB, patch)
2019-01-25 21:18 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 22203: Holds modal does not link to patorn account (2.01 KB, patch)
2019-01-26 13:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-01-24 16:48:28 UTC
To recreate:
1 - Place a hold for a patron
2 - Check the item in at the pickup location
3 - Note the holds modal does not link to patron
Comment 1 Nick Clemens 2019-01-24 16:50:23 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-01-25 19:11:23 UTC Comment hidden (obsolete)
Comment 3 Pierre-Marc Thibault 2019-01-25 21:18:20 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2019-01-26 13:15:15 UTC
Created attachment 84447 [details] [review]
Bug 22203: Holds modal does not link to patorn account

To test:
1 - Place a hold for a patron
2 - Check the item in at the pickup location
3 - Note the holds modal does not link to patron
4 - Apply patch
5 - Check in item again
6 - Patron name in modal is a link

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-28 14:17:53 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 11:54:32 UTC
Pushed to 18.11.x for 18.11.03
Comment 7 Lucas Gass 2019-02-05 22:51:03 UTC
pushed to 18.05.x for 18.05.09
Comment 8 Fridolin SOMERS 2019-02-12 15:08:25 UTC
Depends on Bug 18789 not in 17.11.x
Comment 9 Jonathan Druart 2019-02-15 12:25:32 UTC
Nick, why did you set hide_patron_infos_if_needed=1?
Comment 10 Nick Clemens 2019-03-19 17:08:04 UTC
(In reply to Jonathan Druart from comment #9)
> Nick, why did you set hide_patron_infos_if_needed=1?

This was a copy/paste - reviewing how it works, this modal now respects the HidePatronName syspref - so while a change in behavior I think it should stand but am noting that effect here